<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myMotorDueReminderLabel" jhiTranslate="mpmApp.motorDueReminder.home.createOrEditLabel">Create or edit a Motor Due Reminder</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!motorDueReminder.idReminder">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="motorDueReminder.idReminder" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.motorDueReminder.motor" for="field_motor">Motor</label>
            <select class="form-control" id="field_motor" name="motor" [(ngModel)]="motorDueReminder.motorId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.name}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.motorDueReminder.labelDuedateService" >label Due date Service</label>
        </div>
        <div class="form-group">
            <div class="row">
                <div class="col">
                    <label class="form-control-label" jhiTranslate="mpmApp.motorDueReminder.service1" for="field_service1">Service 1</label>
                    <input currencyMask class="form-control" name="service1" id="field_service1"
                        [(ngModel)]="motorDueReminder.service1"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        />
                </div>
                <div class="col">
                    <label class="form-control-label" jhiTranslate="mpmApp.motorDueReminder.service2" for="field_service2">Service 2</label>
                    <input currencyMask class="form-control" name="service2" id="field_service2"
                        [(ngModel)]="motorDueReminder.service2"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        />
                </div>
                <div class="col">
                    <label class="form-control-label" jhiTranslate="mpmApp.motorDueReminder.service3" for="field_service3">Service 3</label>
                    <input currencyMask class="form-control" name="service3" id="field_service3"
                        [(ngModel)]="motorDueReminder.service3"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        />
                </div>
                <div class="col">
                    <label class="form-control-label" jhiTranslate="mpmApp.motorDueReminder.service4" for="field_service4">Service 4</label>
                    <input currencyMask class="form-control" name="service4" id="field_service4"
                        [(ngModel)]="motorDueReminder.service4"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        />
                </div>
                <div class="col">
                    <label class="form-control-label" jhiTranslate="mpmApp.motorDueReminder.service5" for="field_service5">Service 5</label>
                    <input currencyMask class="form-control" name="service5" id="field_service5"
                        [(ngModel)]="motorDueReminder.service5"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        />
                </div>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.motorDueReminder.labelToleranceLimitService" >label Tolerance Limit Service</label>
        </div>
        <div class="form-group">
            <div class="row">
                <div class="col-md-2">
                    <label class="form-control-label" jhiTranslate="mpmApp.motorDueReminder.km" for="field_km">km</label>
                    <input currencyMask class="form-control" name="km" id="field_km"
                        [(ngModel)]="motorDueReminder.km"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        />
                </div>
                <div class="col-md-2">
                    <label class="form-control-label" jhiTranslate="mpmApp.motorDueReminder.ndays" for="field_ndays">ndays</label>
                    <input currencyMask class="form-control" name="ndays" id="field_ndays"
                        [(ngModel)]="motorDueReminder.ndays"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                        />
                </div>
            </div>                
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
